Package org.silverpeas.components.kmelia.stats

## Class StatisticServiceImpl

- java.lang.Object
- - org.silverpeas.components.kmelia.stats.StatisticServiceImpl

- All Implemented Interfaces:
    `StatisticService`

      @Service
      public class StatisticServiceImpl
      extends Object
      implements StatisticService

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StatisticServiceImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getNbConsultedPublication​(StatsFilterVO statFilter)` |
    `Integer` | `getNbStatisticActivityByPeriod​(StatsFilterVO statFilter)` |
    `Integer` | `getNumberOfDifferentConsultedPublications​(StatsFilterVO statFilter)` |
    `StatisticActivityVO` | `getStatisticActivity​(StatsFilterVO statFilter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatisticServiceImpl

          public StatisticServiceImpl()

  - ### Method Detail

    - #### getNbConsultedPublication

          public Integer getNbConsultedPublication​(StatsFilterVO statFilter)

      Specified by:
        `getNbConsultedPublication` in interface `StatisticService`
      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        the number of consulted publications (number of access to publications) which respect the statistic filter parameters. If statistic filter is null return -1.

    - #### getNbStatisticActivityByPeriod

          public Integer getNbStatisticActivityByPeriod​(StatsFilterVO statFilter)

      Specified by:
        `getNbStatisticActivityByPeriod` in interface `StatisticService`
      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        the number of statistic activity it means the number of created or modified publication which respect the statistic filter given in parameter. If statistic filter is null return -1.

    - #### getStatisticActivity

          public StatisticActivityVO getStatisticActivity​(StatsFilterVO statFilter)

      Specified by:
        `getStatisticActivity` in interface `StatisticService`
      Parameters:
        `statFilter` - the statistic filter (Date range, group identifier, application and topic identifier)
      Returns:
        a StatisticActivityVO which contains the detail with number of created and the number of modified publications in a specific time interval (between statFilter.startDate and statFilter.endDate)

    - #### getNumberOfDifferentConsultedPublications

          public Integer getNumberOfDifferentConsultedPublications​(StatsFilterVO statFilter)

      Specified by:
        `getNumberOfDifferentConsultedPublications` in interface `StatisticService`
      Parameters:
        `statFilter` - the statistic filter (Date range, application and topic identifier, group identifier)
      Returns:
        the number of different consulted publications. If statistic filter is null return -1.